> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise.predexon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Withdrawals

> Paginated withdrawal history with filters

```http theme={null}
GET /v1/accounts/{accountId}/withdrawals?limit=50&cursor=...
```

| Query param | Type      | Description                                                                                           |
| ----------- | --------- | ----------------------------------------------------------------------------------------------------- |
| `status`    | string    | Filter by status. Comma-separated for multiple values: `pending`, `broadcast`, `confirmed`, `failed`. |
| `from`      | timestamp | ISO 8601 lower bound on `createdAt` (inclusive).                                                      |
| `to`        | timestamp | ISO 8601 upper bound (inclusive).                                                                     |
| `limit`     | int       | Max 200. Default 50.                                                                                  |
| `cursor`    | string    | Opaque pagination token.                                                                              |

**Response**

```json theme={null}
{
  "withdrawals": [
    {
      "withdrawalId": "wd_a1b2...",
      "status": "confirmed",
      "amount": "500.00",
      "fee": "1.00",
      "destinationAddress": "0xUSER...",
      "txHash": "0x123abc...",
      "createdAt": "2026-05-06T11:00:00Z",
      "broadcastAt": "2026-05-06T11:00:02Z",
      "confirmedAt": "2026-05-06T11:00:08Z"
    }
  ],
  "nextCursor": null
}
```

Results are ordered by `createdAt` descending (newest first). `nextCursor` is `null` on the last page.
